restored_client_free
restored_client_new
restored_client_set_label
restored_client_t
restored_error_t
restored_get_value
restored_goodbye
restored_query_type
restored_query_value
restored_reboot
restored_receive
restored_send
restored_start_restore

## restored_query_type()

LIBIMOBILEDEVICE_API restored_error_t restored_query_type | ( | restored_client_t | client,
|  | char ** | type,
|  | uint64_t * | version )

Query the type of the service daemon.

Depending on whether the device is queried in normal mode or restore mode, different types will be returned.

Parameters

  client | The restored client
  type | The type returned by the service daemon. Pass NULL to ignore.
  version | The restore protocol version. Pass NULL to ignore.

Returns
  RESTORE_E_SUCCESS on success, RESTORE_E_INVALID_ARG when client is NULL